## org.apache.mahout.cf.taste.hadoop
Class ToUserPrefsMapper

    java.lang.Object
      org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.LongWritable,org.apache.hadoop.io.Text,VarLongWritable,VarLongWritable>
          org.apache.mahout.cf.taste.hadoop.ToEntityPrefsMapper
              org.apache.mahout.cf.taste.hadoop.ToUserPrefsMapper

    public final class ToUserPrefsMapper

extends ToEntityPrefsMapper

The 'reverse' of `ToItemPrefsMapper`; outputs item IDs mapped to user-pref data.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Mapper
`org.apache.hadoop.mapreduce.Mapper.Context`

Field Summary

Fields inherited from class org.apache.mahout.cf.taste.hadoop.ToEntityPrefsMapper
`TRANSPOSE_USER_ITEM`

Constructor Summary
`ToUserPrefsMapper()`

Method Summary

Methods inherited from class org.apache.mahout.cf.taste.hadoop.ToEntityPrefsMapper
`map, setup`

Methods inherited from class org.apache.hadoop.mapreduce.Mapper
`cleanup, run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToUserPrefsMapper

    public ToUserPrefsMapper()

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.